/**
 * DevExtreme (esm/renovation/ui/scroll_view/utils/get_offset_distance.js)
 * Version: 21.2.0 (build 21243-0310)
 * Build date: Tue Aug 31 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    ensureDefined
} from "../../../../core/utils/common";
import {
    convertToLocation
} from "./convert_location";
export function getOffsetDistance(targetLocation, direction, scrollOffset) {
    var location = convertToLocation(targetLocation, direction);
    var top = ensureDefined(location.top, scrollOffset.top) - scrollOffset.top;
    var left = ensureDefined(location.left, scrollOffset.left) - scrollOffset.left;
    return {
        top: top,
        left: left
    }
}
