/**
 * DevExtreme (renovation/ui/editors/check_box/utils.js)
 * Version: 21.2.0 (build 21243-0310)
 * Build date: Tue Aug 31 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.getDefaultIconSize = getDefaultIconSize;
exports.getFontSizeByIconSize = getFontSizeByIconSize;
var _themes = require("../../../../ui/themes");

function getThemeType() {
    var theme = (0, _themes.current)();
    return {
        isMaterialTheme: (0, _themes.isMaterial)(theme),
        isCompactTheme: (0, _themes.isCompact)(theme)
    }
}

function getDefaultIconSize() {
    var _getThemeType = getThemeType(),
        isCompactTheme = _getThemeType.isCompactTheme,
        isMaterialTheme = _getThemeType.isMaterialTheme;
    var defaultIconSize = 22;
    if (isCompactTheme) {
        defaultIconSize = 16
    } else if (isMaterialTheme) {
        defaultIconSize = 18
    }
    return defaultIconSize
}

function getDefaultFontSize() {
    var _getThemeType2 = getThemeType(),
        isCompactTheme = _getThemeType2.isCompactTheme;
    var defaultFontSize = isCompactTheme ? 12 : 16;
    return defaultFontSize
}

function getFontSizeByIconSize(iconSize) {
    var defaultFontSize = getDefaultFontSize();
    var defaultIconSize = getDefaultIconSize();
    var fontToIconSizeRatio = defaultFontSize / defaultIconSize;
    return Math.ceil(fontToIconSizeRatio * iconSize)
}
