/**
 * DevExtreme (renovation/ui/scroll_view/utils/get_default_option_value.js)
 * Version: 21.2.0 (build 21243-0310)
 * Build date: Tue Aug 31 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.isDesktop = isDesktop;
exports.getDefaultUseSimulatedScrollbar = getDefaultUseSimulatedScrollbar;
exports.getDefaultBounceEnabled = getDefaultBounceEnabled;
exports.getDefaultUseNative = getDefaultUseNative;
var _devices = _interopRequireDefault(require("../../../../core/devices"));
var _browser = _interopRequireDefault(require("../../../../core/utils/browser"));
var _support = require("../../../../core/utils/support");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function isDesktop() {
    return !_devices.default.isSimulator() && "desktop" === _devices.default.real().deviceType && "generic" === _devices.default.current().platform
}

function getDefaultUseSimulatedScrollbar() {
    return !!_support.nativeScrolling && "android" === _devices.default.real().platform && !_browser.default.mozilla
}

function getDefaultBounceEnabled() {
    return !isDesktop()
}

function getDefaultUseNative() {
    return !!_support.nativeScrolling
}
